# 1. 开发环境

## 操作系统

1. Windows 2003以上版本
2. Mac Os 10 以上版本
3. Linux 如（Unbutu Desktop 10以上版本）

## 1.2 JDK 1.8+

https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

## 1.3. Web应用服务器

Tomcat 8.5+

https://tomcat.apache.org/download-80.cgi

## 1.4. 数据库

MySql 5.7 +  或 MySQL 8.0

https://dev.mysql.com/downloads/mysql/

## 1.5. 开发工具

Eclipse IDE for Java EE Developers

http://www.eclipse.org/downloads/packages/release/europa/winter/eclipse-ide-java-ee-developers

或

IntelIiJ IDEA 2018 +

http://www.jetbrains.com/idea/

## 1.6. 构建工具

### Maven

#### 下载Maven

http://maven.apache.org/download.cgi

下载完成后，可解压至：d:/maven

#### Maven环境配置 (可选)

增加环境变量 MVN_HOME

![](/uploads/202005/attach_160d9eaaf3ea6554.png)

并增加至Path中

![](/uploads/202005/attach_160d9eb2772aca38.png)

#### Maven私库指向

在Maven的conf下的setting.xml文件中增加以下配置，如：

```xml
<mirror>
		<id>redxun_public_maven</id>
		 <mirrorOf>redxun_public_maven</mirrorOf>
		<name>redxun_public_maven</name>
		<url>http://site.redxun.cn:8081/nexus/content/groups/public/</url>
	</mirror>
	<mirror>
		<id>redxun_rdgroup_maven</id>
		<mirrorOf>redxun_rdgroup_maven</mirrorOf>
		<name>redxun_rdgroup_maven</name>
		<url>http://site.redxun.cn:8081/nexus/content/groups/rdgroup/</url>
	</mirror>
```

```xml
<profile>
       <id>nexus</id>
       <repositories>
         <repository>
          <id>nexus</id>
		  <url>http://dev.aps360.cn:8081/repository/maven-public/</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
         </repository>
       </repositories>
       <pluginRepositories>
         <pluginRepository>
           <id>nexus</id>
           <url>http://dev.aps360.cn:8081/repository/maven-public/</url>
           <releases>
            <enabled>true</enabled>
           </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
         </pluginRepository>
        </pluginRepositories>
     </profile>
```

## 1.8. 移动端APP开发

NodeJs

http://nodejs.cn/download/

Hbuilder 

https://www.dcloud.io/hbuilderx.html

## 1.9. 缓存服务（可选）
开发时，可以选择本地缓存，生产时使用 Redis 
https://redis.io/download

## 1.10. 消息队列

开发时可以使用内置MQ，不需要进行安装。

### 1.10.1. ActiveMQ

外置Apache ActiveMQ 时，请安装:
http://activemq.apache.org/

### 1.10.2. RabitMQ

https://www.rabbitmq.com/

### 1.10.3. Kafka

http://kafka.apache.org/


## 1.11. 文件服务（可选）

FastDFS
https://github.com/happyfish100/fastdfs


## 1.12. 全文搜索 （可选）

Elastic Search

https://www.elastic.co/cn/